osgAnimation::TemplateChannel< SamplerType > Class Template Reference

`#include <Channel>`

Inheritance diagram for osgAnimation::TemplateChannel< SamplerType >:

## Public Types

typedef SamplerType::UsingType | UsingType
typedef TemplateTarget< UsingType > | TargetType
typedef TemplateKeyframeContainer< typename SamplerType::KeyframeType > | KeyframeContainerType
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

Object * | cloneType () const
Object * | clone (const osg::CopyOp &) const
Channel * | clone () const
| TemplateChannel (const TemplateChannel &channel)
| TemplateChannel (SamplerType *s=0, TargetType *target=0)
virtual bool | createKeyframeContainerFromTargetValue ()
virtual | ~TemplateChannel ()
virtual void | update (double time, float weight, int priority)
virtual void | reset ()
virtual Target * | getTarget ()
virtual bool | setTarget (Target *target)
SamplerType * | getOrCreateSampler ()
Sampler * | getSampler ()
const Sampler * | getSampler () const
SamplerType * | getSamplerTyped ()
const SamplerType * | getSamplerTyped () const
void | setSampler (SamplerType *sampler)
TargetType * | getTargetTyped ()
const TargetType * | getTargetTyped () const
void | setTarget (TargetType *target)
virtual double | getStartTime () const
virtual double | getEndTime () const
Public Member Functions inherited from osgAnimation::Channel
| Channel ()
| Channel (const Channel &channel)
virtual | ~Channel ()
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
virtual const char * | className () const
const std::string & | getName () const
void | setName (const std::string &name)
const std::string & | getTargetName () const
void | setTargetName (const std::string &name)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual bool | isSameKindAs (const Object *) const
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

osg::ref_ptr< TargetType > | _target
osg::ref_ptr< SamplerType > | _sampler
Protected Attributes inherited from osgAnimation::Channel
std::string | _targetName
std::string | _name
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Member Typedef Documentation

## KeyframeContainerType

template<typename SamplerType>

typedef TemplateKeyframeContainer<typename SamplerType::KeyframeType> osgAnimation::TemplateChannel< SamplerType >::KeyframeContainerType

## TargetType

template<typename SamplerType>

typedef TemplateTarget<UsingType> osgAnimation::TemplateChannel< SamplerType >::TargetType

## UsingType

template<typename SamplerType>

typedef SamplerType::UsingType osgAnimation::TemplateChannel< SamplerType >::UsingType

## Constructor & Destructor Documentation

## TemplateChannel() [1/2]

template<typename SamplerType>

osgAnimation::TemplateChannel< SamplerType >::TemplateChannel | ( | const TemplateChannel< SamplerType > & | channel | ) |

inline

Referenced by osgAnimation::TemplateChannel< DoubleStepSampler >::clone(), osgAnimation::TemplateChannel< DoubleStepSampler >::clone(), and osgAnimation::TemplateChannel< DoubleStepSampler >::cloneType().

## TemplateChannel() [2/2]

template<typename SamplerType>

osgAnimation::TemplateChannel< SamplerType >::TemplateChannel | ( | SamplerType * | s = 0,
|  | TargetType * | target = 0 )

inline

## ~TemplateChannel()

template<typename SamplerType>

virtual osgAnimation::TemplateChannel< SamplerType >::~TemplateChannel | ( |  | ) |

inline virtual

## Member Function Documentation

## clone() [1/2]

template<typename SamplerType>

Channel * osgAnimation::TemplateChannel< SamplerType >::clone | ( |  | ) | const

inline virtual

Implements osgAnimation::Channel.

## clone() [2/2]

template<typename SamplerType>

Object * osgAnimation::TemplateChannel< SamplerType >::clone | ( | const osg::CopyOp & |  | ) | const

inline virtual

Clone an object, with Object* return type. Must be defined by derived classes.

Implements osg::Object.

## cloneType()

template<typename SamplerType>

Object * osgAnimation::TemplateChannel< SamplerType >::cloneType | ( |  | ) | const

inline virtual

Clone the type of an object, with Object* return type. Must be defined by derived classes.

Implements osg::Object.

## createKeyframeContainerFromTargetValue()

template<typename SamplerType>

virtual bool osgAnimation::TemplateChannel< SamplerType >::createKeyframeContainerFromTargetValue | ( |  | ) |

inline virtual

Implements osgAnimation::Channel.

## getEndTime()

template<typename SamplerType>

virtual double osgAnimation::TemplateChannel< SamplerType >::getEndTime | ( |  | ) | const

inline virtual

Implements osgAnimation::Channel.

## getOrCreateSampler()

template<typename SamplerType>

SamplerType * osgAnimation::TemplateChannel< SamplerType >::getOrCreateSampler | ( |  | ) |

inline

Referenced by osgAnimation::TemplateChannel< DoubleStepSampler >::createKeyframeContainerFromTargetValue().

## getSampler() [1/2]

template<typename SamplerType>

Sampler * osgAnimation::TemplateChannel< SamplerType >::getSampler | ( |  | ) |

inline virtual

Implements osgAnimation::Channel.

## getSampler() [2/2]

template<typename SamplerType>

const Sampler * osgAnimation::TemplateChannel< SamplerType >::getSampler | ( |  | ) | const

inline virtual

Implements osgAnimation::Channel.

## getSamplerTyped() [1/2]

template<typename SamplerType>

SamplerType * osgAnimation::TemplateChannel< SamplerType >::getSamplerTyped | ( |  | ) |

inline

Referenced by osgAnimation::TemplateChannel< DoubleStepSampler >::TemplateChannel().

## getSamplerTyped() [2/2]

template<typename SamplerType>

const SamplerType * osgAnimation::TemplateChannel< SamplerType >::getSamplerTyped | ( |  | ) | const

inline

## getStartTime()

template<typename SamplerType>

virtual double osgAnimation::TemplateChannel< SamplerType >::getStartTime | ( |  | ) | const

inline virtual

Implements osgAnimation::Channel.

## getTarget()

template<typename SamplerType>

virtual Target * osgAnimation::TemplateChannel< SamplerType >::getTarget | ( |  | ) |

inline virtual

Implements osgAnimation::Channel.

## getTargetTyped() [1/2]

template<typename SamplerType>

TargetType * osgAnimation::TemplateChannel< SamplerType >::getTargetTyped | ( |  | ) |

inline

Referenced by osgAnimation::TemplateChannel< DoubleStepSampler >::TemplateChannel().

## getTargetTyped() [2/2]

template<typename SamplerType>

const TargetType * osgAnimation::TemplateChannel< SamplerType >::getTargetTyped | ( |  | ) | const

inline

## reset()

template<typename SamplerType>

virtual void osgAnimation::TemplateChannel< SamplerType >::reset | ( |  | ) |

inline virtual

Implements osgAnimation::Channel.

## setSampler()

template<typename SamplerType>

void osgAnimation::TemplateChannel< SamplerType >::setSampler | ( | SamplerType * | sampler | ) |

inline

## setTarget() [1/2]

template<typename SamplerType>

virtual bool osgAnimation::TemplateChannel< SamplerType >::setTarget | ( | Target * | target | ) |

inline virtual

Implements osgAnimation::Channel.

## setTarget() [2/2]

template<typename SamplerType>

void osgAnimation::TemplateChannel< SamplerType >::setTarget | ( | TargetType * | target | ) |

inline

## update()

template<typename SamplerType>

virtual void osgAnimation::TemplateChannel< SamplerType >::update | ( | double | time,
|  | float | weight,
|  | int | priority )

inline virtual

Implements osgAnimation::Channel.

## Member Data Documentation

## _sampler

template<typename SamplerType>

osg::ref_ptr<SamplerType> osgAnimation::TemplateChannel< SamplerType >::_sampler

protected

## _target

template<typename SamplerType>

osg::ref_ptr<TargetType> osgAnimation::TemplateChannel< SamplerType >::_target

protected

The documentation for this class was generated from the following file:

- Channel